#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	ErrorHandler
Summary:	Class::ErrorHandler - base class for error handling
Summary(pl.UTF-8):	Class::ErrorHandler - klasa bazowa do obsługi błędów
Name:		perl-Class-ErrorHandler
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8b525e84384752b7cabc7d7f1ed0c823
URL:		http://search.cpan.org/dist/Class-ErrorHandler/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Class::ErrorHandler, a base class for classes that need to do
error handling (which is, probably, most of them).

%description -l pl.UTF-8
To jest Class::ErrorHandler - klasa bazowa dla klas potrzebujących
obsługiwać błędy (czyli prawdopodobnie większości).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/Class/ErrorHandler.pm
%{_mandir}/man3/*
%changelog
* Sat Apr 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-ErrorHandler.git;a=log;h=master

* Fri Apr 14 2017 Marcin Krol <hawk@tld-linux.org> 4783654
- updated 0.04

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9bf9e9e
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 544b6ee
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 261a5a8
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 1c0bc64
- generic url

* Fri Jun 09 2006 wolf <wolf@pld-linux.org> 64b88f3
- cosmetics

* Thu Aug 11 2005 radek <radek@pld-linux.org> b7d77b1
- bcond_with(out) is followed by one \t, then bcond's name.

* Thu Jun 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 203a06c
- pl

* Tue Jun 21 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 5c37338
- initial release

